Last Comment Bug 560814 - Add .tel to IDN whitelist
: Add .tel to IDN whitelist
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Networking (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Gervase Markham [:gerv]
:
: Patrick McManus [:mcmanus]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-21 04:27 PDT by Gervase Markham [:gerv]
Modified: 2010-06-18 12:01 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.4-fixed
.11-fixed


Attachments
Patch v.1 (972 bytes, patch)
2010-04-23 08:37 PDT, Gervase Markham [:gerv]
dveditz: approval1.9.2.4+
mbeltzner: approval1.9.1.11+
Details | Diff | Splinter Review

Description Gervase Markham [:gerv] 2010-04-21 04:27:42 PDT
Vladimir Shadrunov writes:

Dear Gerv, 

Telnic Limited is the registry operator and the sponsoring organisation for .tel TLD 

As we announced earlier, Telnic will start accepting IDN registrations starting from June 15, 2010. In our registry IDN policies we implemented a number of measures to mitigate against possible customer confusion when dealing with IDNs. Such measures include variant name blocking and name bundling. The URL of the registry website is http://www.telnic.org and the address of our Policies page is http://www.telnic.org/policies.html.

In accordance with your announcement posted at http://www.mozilla.org/projects/security/tld-idn-policy-list.html we would like .tel IDNs to be enabled in the Mozilla project software. 

Please let me know if you have any further questions or concerns.

Thanks in advance and best regards,

Vladimir Shadrunov
Director of Policy
Telnic Limited
Email: vshadrunov@telnic.org
Tel:  +44 207 467 6464
vlad.tel
Comment 1 Gervase Markham [:gerv] 2010-04-21 04:28:15 PDT
The policies seem entirely in order, and very carefully specified.

Gerv
Comment 2 Gervase Markham [:gerv] 2010-04-23 08:37:45 PDT
Created attachment 441049 [details] [diff] [review]
Patch v.1
Comment 3 Gervase Markham [:gerv] 2010-04-28 03:29:58 PDT
http://hg.mozilla.org/mozilla-central/rev/186ffdad4f25

Gerv
Comment 4 Mike Beltzner [:beltzner, not reading bugmail] 2010-05-25 12:43:39 PDT
Comment on attachment 441049 [details] [diff] [review]
Patch v.1

a=beltzner for mozilla-1.9.1 default and mozilla-1.9.2 default
Comment 6 christian 2010-06-10 16:25:34 PDT
This was approved for GECKO1924_20100413_RELBRANCH on mozilla-1.9.2 as well, so that we can pick the fix up if we do build #7.

Note You need to log in before you can comment on or make changes to this bug.